package uci.inf221.lunarLander.dataStore.component;

import uci.inf221.lunarLander.arch.c2.C2Component;
import uci.inf221.lunarLander.arch.c2.C2Notification;
import uci.inf221.lunarLander.arch.c2.C2Request;
import uci.inf221.lunarLander.dataStore.entities.Status;
import uci.inf221.lunarLander.dataStore.message.CurrentEntityDataNotification;
import uci.inf221.lunarLander.dataStore.message.GetCurrentDataRequest;

public class StatusComponent extends C2Component {

	// TODO remove component?

	public static final String PORT_IDENTIFIER_DATA_STORE_CONNECTOR = "data_store";

	private Status status;

	@Override
	protected void createPorts() {
		addBottomPort(PORT_IDENTIFIER_DATA_STORE_CONNECTOR);
	}

	@Override
	protected void initialize() {
		status = new Status();
	}

	@Override
	public void start() {
	}

	@Override
	public void stop() {
	}

	@Override
	public void waitForStop() {
	}

	@Override
	protected void receiveNotification(C2Notification notification) {
	}

	@Override
	protected void receiveRequest(C2Request request) {
		if (request instanceof GetCurrentDataRequest) {
			CurrentEntityDataNotification notif = new CurrentEntityDataNotification(
					this, status);
			notif.setInitiatorRequest(request);
			sendNotification(notif);
		}
	}

}
