package uci.inf221.lunarLander.dataStore.entities;

import java.util.UUID;

public class Ship extends MoveableDataEntity {

	private static final long serialVersionUID = 385426253250905742L;

	public static final int EXTENT = 16;

	// TODO adjust constants ?
	public static final float MAX_ACCELERATION = 0.02f / 1000;
	public static final float[] INITIAL_SPEED = new float[] { 0, 20f / 1000 };

	private UUID playerId;

	@Override
	public int getExtent() {
		return EXTENT;
	}

	public UUID getPlayerId() {
		return playerId;
	}

	public void setPlayerId(UUID playerId) {
		this.playerId = playerId;
	}

	@Override
	public void setMovementVector(MovementVector movementVector) {
		super.setMovementVector(movementVector);
		movementVector.setGravity(true);
	}

}
