package uci.inf221.lunarLander.dataStore.message;

import uci.inf221.lunarLander.arch.c2.C2Component;
import uci.inf221.lunarLander.arch.c2.C2Request;
import uci.inf221.lunarLander.dataStore.entities.Asteroid;

public class CreateNewAsteroidRequest extends C2Request {

	private static final long serialVersionUID = 2119149606732139968L;

	private Asteroid asteroid;

	public CreateNewAsteroidRequest(C2Component source, Asteroid asteroid) {
		this(source, null, asteroid);
	}

	public CreateNewAsteroidRequest(C2Component source, Object sourceData,
			Asteroid asteroid) {
		super(source, sourceData);
		this.asteroid = asteroid;
	}

	public Asteroid getAsteroid() {
		return asteroid;
	}

}
