package uci.inf221.lunarLander.dataStore.message;

import uci.inf221.lunarLander.arch.c2.C2Component;
import uci.inf221.lunarLander.arch.c2.C2Request;
import uci.inf221.lunarLander.dataStore.entities.Ship;

public class CreateNewShipRequest extends C2Request {

	private static final long serialVersionUID = -5176136460876171362L;
	private Ship ship;

	public CreateNewShipRequest(C2Component source, Ship ship) {
		this(source, null, ship);
	}

	public CreateNewShipRequest(C2Component source, Object sourceData, Ship ship) {
		super(source, sourceData);
		this.ship = ship;
	}

	public Ship getShip() {
		return ship;
	}

}
