package uci.inf221.lunarLander.dataStore.message;

import java.util.UUID;

import uci.inf221.lunarLander.arch.c2.C2Component;
import uci.inf221.lunarLander.arch.c2.C2Request;

public class DestroyEntityRequest extends C2Request {

	private static final long serialVersionUID = 6013240135808410556L;

	private UUID entityId;

	public DestroyEntityRequest(C2Component source, UUID entityId) {
		this(source, null, entityId);
	}

	public DestroyEntityRequest(C2Component source, Object sourceData,
			UUID entityId) {
		super(source, sourceData);
		this.entityId = entityId;
	}

	public UUID getEntityId() {
		return entityId;
	}

}
