package uci.inf221.lunarLander.dataStore.message;

import uci.inf221.lunarLander.arch.c2.C2Component;
import uci.inf221.lunarLander.arch.c2.C2Notification;
import uci.inf221.lunarLander.dataStore.entities.Ship;

public class NewShipNotification extends C2Notification {

	private static final long serialVersionUID = -7638097588165762149L;

	private Ship ship;

	public NewShipNotification() {
		super();
	}

	public NewShipNotification(C2Component source, Ship ship) {
		super(source);
		this.ship = ship;
	}

	public Ship getShip() {
		return ship;
	}

}
