package uci.inf221.lunarLander.dataStore.message;

import uci.inf221.lunarLander.arch.c2.C2Component;
import uci.inf221.lunarLander.arch.c2.C2Request;

public class UpdateLevelMapRequest extends C2Request {

	private static final long serialVersionUID = 8431491294607724686L;

	private String textRepresentation;

	public UpdateLevelMapRequest(C2Component source, String textRepresentation) {
		this(source, null, textRepresentation);
	}

	public UpdateLevelMapRequest(C2Component source, Object sourceData,
			String textRepresentation) {
		super(source, sourceData);
		this.textRepresentation = textRepresentation;
	}

	public String getTextRepresentation() {
		return textRepresentation;
	}

}
