package uci.inf221.lunarLander.logic.message;

import java.util.UUID;

import uci.inf221.lunarLander.arch.c2.C2Component;
import uci.inf221.lunarLander.arch.c2.C2Notification;

public class EntityCollisionNotification extends C2Notification {

	private static final long serialVersionUID = -3198279968359326924L;

	private UUID entityId1;
	private UUID entityId2;

	public EntityCollisionNotification(C2Component source, UUID entityId1,
			UUID entityId2) {
		super(source);
		this.entityId1 = entityId1;
		this.entityId2 = entityId2;
	}

	public UUID getEntityId1() {
		return entityId1;
	}

	public UUID getEntityId2() {
		return entityId2;
	}

}
