package uci.inf221.lunarLander.net.connector.clientToServer.connector;

import uci.inf221.lunarLander.arch.Port.PortDirection;
import uci.inf221.lunarLander.arch.c2.C2Connector;

public class DataStorePortConnector extends C2Connector {

	public static final String PORT_IDENTIFIER_CLIENT_TO_SERVER_CONNECTOR = "client_to_server";
	public static final String PORT_IDENTIFIER_SERVER_MESSAGE_HANDLER_COMPONENT = "server_message_handler";
	public static final String PORT_IDENTIFIER_SERVER_CONNECTION_STATE_CHANGE_HANDLER_COMPONENT = "server_connection_state_change_handler";

	@Override
	protected void createPorts() {
		addTopPort(PORT_IDENTIFIER_CLIENT_TO_SERVER_CONNECTOR).setDirection(
				PortDirection.OUT);
		addBottomPort(PORT_IDENTIFIER_SERVER_MESSAGE_HANDLER_COMPONENT)
				.setDirection(PortDirection.IN);
		addBottomPort(
				PORT_IDENTIFIER_SERVER_CONNECTION_STATE_CHANGE_HANDLER_COMPONENT)
				.setDirection(PortDirection.IN);
	}

}
