package uci.inf221.lunarLander.net.connector.serverToClients.connector;

import uci.inf221.lunarLander.arch.Port.PortDirection;
import uci.inf221.lunarLander.arch.c2.C2Connector;

public class DataStorePortConnector extends C2Connector {

	public static final String PORT_IDENTIFIER_CLIENT_STATES_COMPONENT = "client_states";
	public static final String PORT_IDENTIFIER_SERVER_TO_CLIENTS_CONNECTOR = "server_to_clients";
	public static final String PORT_IDENTIFIER_SERVER_MESSAGE_COMPOSER_COMPONENT = "server_message_composer";
	public static final String PORT_IDENTIFIER_CLIENT_MESSAGE_HANDLER_COMPONENT = "client_message_handler";
	public static final String PORT_IDENTIFIER_CLIENT_CONNECTION_STATE_CHANGE_HANDLER_COMPONENT = "client_connection_state_change_handler";

	@Override
	protected void createPorts() {
		addTopPort(PORT_IDENTIFIER_CLIENT_STATES_COMPONENT);
		addTopPort(PORT_IDENTIFIER_SERVER_TO_CLIENTS_CONNECTOR);

		addBottomPort(PORT_IDENTIFIER_SERVER_MESSAGE_COMPOSER_COMPONENT)
				.setDirection(PortDirection.OUT);
		addBottomPort(PORT_IDENTIFIER_CLIENT_MESSAGE_HANDLER_COMPONENT)
				.setDirection(PortDirection.IN);
		addBottomPort(PORT_IDENTIFIER_CLIENT_CONNECTION_STATE_CHANGE_HANDLER_COMPONENT);
	}

}
