package uci.inf221.lunarLander.net.connector.serverToClients.message;

import uci.inf221.lunarLander.arch.c2.C2Component;
import uci.inf221.lunarLander.arch.c2.C2Request;

public class HandleConnectionStateChangeRequest extends C2Request {

	private static final long serialVersionUID = 5394826366385318705L;
	private int remoteConnectionId;
	private boolean connected;

	public HandleConnectionStateChangeRequest(C2Component source,
			int remoteConnectionId, boolean connected) {
		super(source);
		this.remoteConnectionId = remoteConnectionId;
		this.connected = connected;
	}

	public int getRemoteConnectionId() {
		return remoteConnectionId;
	}

	public boolean isConnected() {
		return connected;
	}

}
