package uci.inf221.lunarLander.dataStore.message;

import uci.inf221.lunarLander.arch.c2.C2Component;
import uci.inf221.lunarLander.arch.c2.C2Request;
import uci.inf221.lunarLander.dataStore.entities.Bullet;

public class CreateNewBulletRequest extends C2Request {

	private static final long serialVersionUID = 4933440007813715588L;
	private Bullet bullet;

	public CreateNewBulletRequest(C2Component source, Bullet bullet) {
		this(source, null, bullet);
	}

	public CreateNewBulletRequest(C2Component source, Object sourceData,
			Bullet bullet) {
		super(source, sourceData);
		this.bullet = bullet;
	}

	public Bullet getBullet() {
		return bullet;
	}

}
