package uci.inf221.lunarLander.dataStore.message;

import uci.inf221.lunarLander.arch.c2.C2Component;
import uci.inf221.lunarLander.arch.c2.C2Notification;

public class GameStartTimeUpdatedNotification extends C2Notification {

	private static final long serialVersionUID = 5467849216945932498L;
	private long startTime;

	public GameStartTimeUpdatedNotification() {
		super();
	}

	public GameStartTimeUpdatedNotification(C2Component source, long startTime) {
		super(source);
		this.startTime = startTime;
	}

	public long getStartTime() {
		return startTime;
	}

}
