package uci.inf221.lunarLander.dataStore.message;

import uci.inf221.lunarLander.arch.c2.C2Component;
import uci.inf221.lunarLander.arch.c2.C2Notification;
import uci.inf221.lunarLander.dataStore.entities.Bullet;

public class NewBulletNotification extends C2Notification {

	private static final long serialVersionUID = 2207603586937950722L;
	private Bullet bullet;

	public NewBulletNotification() {
		super();
	}

	public NewBulletNotification(C2Component source, Bullet bullet) {
		super(source);
		this.bullet = bullet;
	}

	public Bullet getBullet() {
		return bullet;
	}

}
