package uci.inf221.lunarLander.logic.connector;

import uci.inf221.lunarLander.arch.Port.PortDirection;
import uci.inf221.lunarLander.arch.c2.C2Connector;

public class LogicConnector extends C2Connector {

	public static final String PORT_IDENTIFIER_DATA_STORE_CONNECTOR = "data_store";
	public static final String PORT_IDENTIFIER_COLLISION_DETECTION_LOGIC_COMPONENT = "collision_detection_logic";
	public static final String PORT_IDENTIFIER_GAME_LOGIC_COMPONENT = "game_logic";

	@Override
	protected void createPorts() {
		addTopPort(PORT_IDENTIFIER_DATA_STORE_CONNECTOR);
		addTopPort(PORT_IDENTIFIER_COLLISION_DETECTION_LOGIC_COMPONENT)
				.setDirection(PortDirection.IN);
		addBottomPort(PORT_IDENTIFIER_GAME_LOGIC_COMPONENT);
	}

}
