package uci.inf221.lunarLander.net.connector.clientToServer.connector;

import uci.inf221.lunarLander.arch.Port.PortDirection;
import uci.inf221.lunarLander.arch.c2.C2Connector;

public class ThresholdingPortConnector extends C2Connector {

	public static final String PORT_IDENTIFIER_CLIENT_TO_SERVER_CONNECTOR = "client_to_server";
	public static final String PORT_IDENTIFIER_CLIENT_MESSAGE_COMPOSER_COMPONENT = "client_message_composer";

	@Override
	protected void createPorts() {
		addTopPort(PORT_IDENTIFIER_CLIENT_TO_SERVER_CONNECTOR).setDirection(
				PortDirection.IN);
		addBottomPort(PORT_IDENTIFIER_CLIENT_MESSAGE_COMPOSER_COMPONENT)
				.setDirection(PortDirection.OUT);
	}

}
