package uci.inf221.lunarLander.net.connector.clientToServer.message;

import java.net.InetAddress;

import uci.inf221.lunarLander.arch.c2.C2Component;
import uci.inf221.lunarLander.arch.c2.C2Request;

public class HandleConnectionStateChangeRequest extends C2Request {

	private static final long serialVersionUID = 494329011457738030L;
	private InetAddress remoteAddress;
	private boolean connected;

	public HandleConnectionStateChangeRequest(C2Component source,
			InetAddress remoteAddress, boolean connected) {
		super(source);
		this.remoteAddress = remoteAddress;
		this.connected = connected;
	}

	public InetAddress getRemoteAddress() {
		return remoteAddress;
	}

	public boolean isConnected() {
		return connected;
	}

}
