package uci.inf221.lunarLander.net.connector.clientToServer.message;

import uci.inf221.lunarLander.arch.Message;
import uci.inf221.lunarLander.arch.c2.C2Component;
import uci.inf221.lunarLander.arch.c2.C2Request;

public class HandleIncomingMessageRequest extends C2Request {

	private static final long serialVersionUID = -5596390455765950952L;

	private transient Message message;

	public HandleIncomingMessageRequest(C2Component source, Message message) {
		super(source);
		this.message = message;
	}

	public Message getMessage() {
		return message;
	}

	@Override
	public HandleIncomingMessageRequest clone() {
		HandleIncomingMessageRequest clone = (HandleIncomingMessageRequest) super
				.clone();
		clone.message = this.message.clone();
		return clone;
	}

}
