package uci.inf221.lunarLander.net.connector.serverToClients.message;

import uci.inf221.lunarLander.arch.c2.C2Component;
import uci.inf221.lunarLander.arch.c2.C2Request;

public class HandleServerStartedRequest extends C2Request {

	private static final long serialVersionUID = -4227011200040633836L;

	private String localAddress;

	public HandleServerStartedRequest(C2Component source, String localAddress) {
		super(source);
		this.localAddress = localAddress;
	}

	public String getLocalAddress() {
		return localAddress;
	}

}
