package uci.inf221.lunarLander.net.connector.serverToClients.message;

import java.util.UUID;

import uci.inf221.lunarLander.arch.c2.C2Component;
import uci.inf221.lunarLander.arch.c2.C2Request;

public class UpdateClientIdRequest extends C2Request {

	private static final long serialVersionUID = -7130306820588448919L;
	private int remoteConnectionId;
	private UUID playerId;
	private UUID shipId;

	public UpdateClientIdRequest(C2Component source, int remoteConnectionId,
			UUID playerId, UUID shipId) {
		super(source);
		this.remoteConnectionId = remoteConnectionId;
		this.playerId = playerId;
		this.shipId = shipId;
	}

	public int getRemoteConnectionId() {
		return remoteConnectionId;
	}

	public UUID getPlayerId() {
		return playerId;
	}

	public UUID getShipId() {
		return shipId;
	}

}
