package org.cynetec.lib.system.threading;

public abstract class RunnableWithResult<T> implements Runnable {
	private T result;
	
	protected void setResult(T result){
		this.result = result;
	}
	
	public T getResult(){
		return result;
	}
	
	@Override
	public abstract void run();
}
